#include "analysisoperationrecorder.h"

namespace AnalysisOperationRecorder {
#if 0
void addAnalysisOperation(const AnalysisOperation ao)
{
    _ananlysisOperationVtr.push_back(ao);
}
#endif

QVector<AnalysisOperation> _analysisOperationVtr;

void removeTheLastAnalysisOperation()
{
    if (!_analysisOperationVtr.isEmpty()) {
        _analysisOperationVtr.removeLast();
    }
}

void removeAnalysisOperationByObjectName(const QString objectName)
{
    for (auto it = _analysisOperationVtr.begin(); it != _analysisOperationVtr.end(); ) {
        if (it->filePath == objectName) {
            it = _analysisOperationVtr.erase(it);
        } else {
            ++it;
        }
    }
}

//QVector<AnalysisOperation> _fileAnanlysisOperationVtr;
}
